libetonyek::IWORKXMLContextBase< Base, State, Collector > Class Template Reference documentation

Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
libetonyek::IWORKXMLContextBase< Base, State, Collector > Class Template Reference

`#include <IWORKXMLContextBase.h>`

Inheritance diagram for libetonyek::IWORKXMLContextBase< Base, State, Collector >:

## Public Member Functions
| IWORKXMLContextBase (State &state)
template<typename T >
| IWORKXMLContextBase (State &state, const T &a)
State & | getState ()

## Protected Member Functions
Collector & | getCollector () const
int | getToken (const char *const value) const
bool | isCollector () const

## Protected Attributes
State & | m_state

## Constructor & Destructor Documentation

## ◆ IWORKXMLContextBase() [1/2]

template<class Base, class State, class Collector = IWORKCollector>

libetonyek::IWORKXMLContextBase< Base, State, Collector >::IWORKXMLContextBase | ( | State & | state | ) |
| inlineexplicit

## ◆ IWORKXMLContextBase() [2/2]

template<class Base, class State, class Collector = IWORKCollector>
template<typename T >

libetonyek::IWORKXMLContextBase< Base, State, Collector >::IWORKXMLContextBase | ( | State & | state,
|  | const T & | a
| ) |  |
| inline

## Member Function Documentation

## ◆ getCollector()

template<class Base, class State, class Collector = IWORKCollector>

Collector& libetonyek::IWORKXMLContextBase< Base, State, Collector >::getCollector | ( |  | ) | const
| inlineprotected

Referenced by libetonyek::IWORKTextElement::attribute(), libetonyek::IWORKMetadataElement::endOfElement(), libetonyek::IWORKStylesheetBase::endOfElement(), libetonyek::IWORKGroupElement::endOfElement(), libetonyek::IWORKTabularInfoElement::endOfElement(), libetonyek::IWORKBezierElement::endOfElement(), libetonyek::IWORKStyleRefContext::endOfElement(), libetonyek::IWORKMediaElement::endOfElement(), libetonyek::IWORKShapeContext::endOfElement(), libetonyek::IWORKImageElement::endOfElement(), libetonyek::IWORKLineElement::endOfElement(), libetonyek::IWORKGeometryElement::endOfElement(), libetonyek::IWORKTextStorageElement::endOfElement(), libetonyek::IWORKStyleContext::endOfElement(), libetonyek::IWORKHeaderFooterContext::endOfElement(), libetonyek::IWORKTextStorageElement::sendStylesheet(), libetonyek::IWORKTabularInfoElement::startOfElement(), libetonyek::IWORKGroupElement::startOfElement(), libetonyek::IWORKMediaElement::startOfElement(), libetonyek::IWORKImageElement::startOfElement(), libetonyek::IWORKShapeContext::startOfElement(), libetonyek::IWORKLineElement::startOfElement(), and libetonyek::IWORKHeaderFooterContext::startOfElement().

## ◆ getState()

template<class Base, class State, class Collector = IWORKCollector>

State& libetonyek::IWORKXMLContextBase< Base, State, Collector >::getState | ( |  | ) |
| inline

Referenced by libetonyek::IWORKCoreImageFilterDescriptorElement::attribute(), libetonyek::IWORKLinkElement::attribute(), libetonyek::IWORKLayoutElement::attribute(), libetonyek::IWORKFoElement::attribute(), libetonyek::IWORKSpanElement::attribute(), libetonyek::IWORKListLabelTypeinfoElement::attribute(), libetonyek::IWORKTextLabelElement::attribute(), libetonyek::IWORKPElement::attribute(), libetonyek::IWORKDataElement::attribute(), libetonyek::IWORKStylesContext::element(), libetonyek::IWORKTextBodyElement::element(), libetonyek::IWORKMetadataElement::element(), libetonyek::IWORKPathElement::element(), libetonyek::IWORKStylesheetBase::element(), libetonyek::IWORKGroupElement::element(), libetonyek::IWORKTabularInfoElement::element(), libetonyek::IWORKLinkElement::element(), libetonyek::IWORKMediaElement::element(), libetonyek::IWORKLayoutElement::element(), libetonyek::IWORKShapeContext::element(), libetonyek::IWORKFoElement::element(), libetonyek::IWORKListLabelGeometriesProperty::element(), libetonyek::IWORKTabsElement::element(), libetonyek::IWORKTextElement::element(), libetonyek::IWORKListLabelTypesProperty::element(), libetonyek::IWORKImageElement::element(), libetonyek::IWORKFilteredImageElement::element(), libetonyek::IWORKBinaryElement::element(), libetonyek::IWORKSpanElement::element(), libetonyek::IWORKChartInfoElement::element(), libetonyek::IWORKListLabelIndentsProperty::element(), libetonyek::IWORKListLabelTypeinfoElement::element(), libetonyek::IWORKListTextIndentsProperty::element(), libetonyek::IWORKPElement::element(), libetonyek::IWORKPropertyMapElement::element(), libetonyek::IWORKLineElement::element(), libetonyek::IWORKTextStorageElement::element(), libetonyek::IWORKListstyleElement::element(), libetonyek::IWORKGeometryElement::element(), libetonyek::IWORKImageContext::element(), libetonyek::IWORKHeaderFooterContext::element(), libetonyek::IWORKStyleContext::element(), libetonyek::IWORKValueContext< Type, NestedParser, Id >::element(), libetonyek::IWORKContainerContext< Type, NestedParser, Collector, Id, RefId >::element(), libetonyek::IWORKTabElement::endOfElement(), libetonyek::IWORKBrContext::endOfElement(), libetonyek::IWORKTextBodyElement::endOfElement(), libetonyek::IWORKCoreImageFilterDescriptorElement::endOfElement(), libetonyek::IWORKBezierElement::endOfElement(), libetonyek::IWORKStylesheetBase::endOfElement(), libetonyek::IWORKTabularInfoElement::endOfElement(), libetonyek::IWORKLinkElement::endOfElement(), libetonyek::IWORKStyleRefContext::endOfElement(), libetonyek::IWORKLayoutElement::endOfElement(), libetonyek::IWORKShapeContext::endOfElement(), libetonyek::IWORKUnfilteredElement::endOfElement(), libetonyek::IWORKImageElement::endOfElement(), libetonyek::IWORKListLabelGeometryElement::endOfElement(), libetonyek::IWORKTabsElement::endOfElement(), libetonyek::IWORKFilteredImageElement::endOfElement(), libetonyek::IWORKBinaryElement::endOfElement(), libetonyek::IWORKListLabelIndentsProperty::endOfElement(), libetonyek::IWORKListLabelTypeinfoElement::endOfElement(), libetonyek::IWORKListTextIndentsProperty::endOfElement(), libetonyek::IWORKPElement::endOfElement(), libetonyek::IWORKSpanElement::endOfElement(), libetonyek::IWORKTextStorageElement::endOfElement(), libetonyek::IWORKListstyleElement::endOfElement(), libetonyek::IWORKDataElement::endOfElement(), libetonyek::IWORKStyleContext::endOfElement(), libetonyek::IWORKHeaderFooterContext::endOfElement(), libetonyek::IWORKSpanElement::ensureOpened(), libetonyek::IWORKPElement::ensureOpened(), libetonyek::IWORKListstyleElement::handle(), libetonyek::IWORKLayoutElement::open(), libetonyek::IWORKTextStorageElement::sendStylesheet(), libetonyek::IWORKTabularInfoElement::startOfElement(), libetonyek::IWORKStylesheetBase::startOfElement(), libetonyek::IWORKShapeContext::startOfElement(), libetonyek::IWORKHeaderFooterContext::startOfElement(), libetonyek::IWORKLinkElement::text(), libetonyek::IWORKSpanElement::text(), and libetonyek::IWORKPElement::text().

## ◆ getToken()

template<class Base, class State, class Collector = IWORKCollector>

int libetonyek::IWORKXMLContextBase< Base, State, Collector >::getToken | ( | const char *const | value | ) | const
| inlineprotected

## ◆ isCollector()

template<class Base, class State, class Collector = IWORKCollector>

bool libetonyek::IWORKXMLContextBase< Base, State, Collector >::isCollector | ( |  | ) | const
| inlineprotected

Referenced by libetonyek::IWORKTextElement::attribute(), libetonyek::IWORKMetadataElement::endOfElement(), libetonyek::IWORKStylesheetBase::endOfElement(), libetonyek::IWORKGroupElement::endOfElement(), libetonyek::IWORKTabularInfoElement::endOfElement(), libetonyek::IWORKBezierElement::endOfElement(), libetonyek::IWORKStyleRefContext::endOfElement(), libetonyek::IWORKMediaElement::endOfElement(), libetonyek::IWORKShapeContext::endOfElement(), libetonyek::IWORKImageElement::endOfElement(), libetonyek::IWORKLineElement::endOfElement(), libetonyek::IWORKGeometryElement::endOfElement(), libetonyek::IWORKTextStorageElement::endOfElement(), libetonyek::IWORKStyleContext::endOfElement(), libetonyek::IWORKHeaderFooterContext::endOfElement(), libetonyek::IWORKTextStorageElement::sendStylesheet(), libetonyek::IWORKTabularInfoElement::startOfElement(), libetonyek::IWORKGroupElement::startOfElement(), libetonyek::IWORKMediaElement::startOfElement(), libetonyek::IWORKImageElement::startOfElement(), libetonyek::IWORKShapeContext::startOfElement(), libetonyek::IWORKLineElement::startOfElement(), and libetonyek::IWORKHeaderFooterContext::startOfElement().

## Member Data Documentation

## ◆ m_state

template<class Base, class State, class Collector = IWORKCollector>

State& libetonyek::IWORKXMLContextBase< Base, State, Collector >::m_state
| protected

Referenced by libetonyek::IWORKXMLContextBase< Base, KEY2ParserState, KEYCollector >::getCollector(), libetonyek::IWORKXMLContextBase< Base, KEY2ParserState, KEYCollector >::getState(), libetonyek::IWORKXMLContextBase< Base, KEY2ParserState, KEYCollector >::getToken(), and libetonyek::IWORKXMLContextBase< Base, KEY2ParserState, KEYCollector >::isCollector().

The documentation for this class was generated from the following file:

- IWORKXMLContextBase.h